<template lang="pug">

	-
		var viewBox = "-150 -200 300 400"
		var puntos = "M 150 0 "
		puntos += "A 150 150 1 1 0 0 150"
		//- puntos += "A 300 300 0 0 0 -150 0"

	.grafico-circular
		h3 Cargos que desempeñan
		ul.leyenda
			li(data-valor="100") Gerencia
			li(data-valor="66") Sub Gerentes
			li(data-valor="50") Supervisores
			li(data-valor="10") Otros


		//- svg(xmlns="http://www.w3.org/2000/svg", width="300", height="400", viewBox=viewBox)
			//- path.curva(d=puntos, stroke-width="14")
		//- 	//- ellipse(cx="0", cy="0", ry="150", rx="150", pathLength="0.1")
		//- 	circle(cx=0,cy=0, r="5", fill="red" )
		//- 	circle(cx=0,cy=150, r="5", fill="red" )
		//- 	circle(cx=150,cy=0, r="5", fill="red" )
		//- 	circle(cx=-150,cy=0, r="5", fill="red" )
		//- 	circle(cx=0,cy=-150, r="5", fill="red" )

		//- p= puntos

</template>

<style lang="stylus">
.grafico-circular
	padding 1.2rem
	background-color: white
	box-shadow: 0px 7px 15px rgba(64, 58, 147, 0.12);
	border-radius: 4px;
	display grid
	grid-gap 1rem
	grid-template-rows auto 1fr 1fr
	grid-template-area "titulo titulo" "grafico grafico" "grafico leyenda"

	h3
		// grid-area titulo
		grid-row 1/2
		grid-column 1/3
		font-weight: bold;
		font-size: 18px;
		line-height: 135%;
		letter-spacing: -0.015em;
		text-transform: uppercase;
		color: var(--color-categoria)

	svg
		justify-self center
		align-self center
		// grid-area grafico
		grid-row 2/4
		grid-column 1/3
		display: block
		// outline 1px solid red
		background-color white
		// height: 300px;
		// width: 100%;
		// max-width 480px;
		path
			stroke silver
			fill white
			stroke-width 16


			for num in (1..100)
				&[data-valor={"'"+num+"'"}]
					stroke tint(dimgray, 1% * (100 - num))

					.maestria &
					.maestrias &
						stroke tint(#2AB7C6, 1% * (100 - num))

					.doctorado &
					.doctorados &
						stroke tint(#584DAA, 1% * (100 - num))

					.ejecutiva &
					.ejecutivas &
					.educacion-ejecutiva &
						stroke tint(#C96257, 1% * (100 - num))


	.leyenda
		// grid-area leyenda
		grid-row 3/4
		grid-column 2
		justify-self end
		align-self center
		// position relative
		z-index 1
		list-style none
		padding: 0

		li
			display: block;
			font-weight: 300;
			font-size: 14px;
			line-height: 150%;
			text-align: right;
			letter-spacing: -0.022em;
			color: #707070;
			white-space: nowrap;

			for num in (1..100)
				&[data-valor={"'"+num+"'"}]::after
					content: ""
					width: 1rem
					height: 1rem
					display: inline-block;
					background-color tint(dimgray, 1% * (100 - num))
					margin-left 0.5rem
					vertical-align: middle;

					.maestria &
					.maestrias &
						background-color tint(#2AB7C6, 1% * (100 - num))

					.doctorado &
					.doctorados &
						background-color tint(#584DAA, 1% * (100 - num))

					.ejecutiva &
					.ejecutivas &
					.educacion-ejecutiva &
						background-color tint(#C96257, 1% * (100 - num))



</style>
